extends KinematicBody2D

var velocity = Vector2.ZERO
var snap = Vector2(0, 25.0)

func _physics_process(delta: float) -> void:
#	velocity.y += 200
	velocity.y += 12000 * delta

	if Input.is_action_pressed("ui_left"):
		velocity.x = -250.0
	elif Input.is_action_pressed("ui_right"):
		velocity.x = 250.0
	else:
		velocity.x = 0.0

	if is_on_floor():
		if Input.is_action_just_pressed("ui_up"):
			velocity.y = -1500.0
			snap = Vector2.ZERO
	else:
		snap = Vector2(0, 25.0)

	velocity.y = clamp(velocity.y, -1500, 900)

#	velocity = move_and_slide_with_snap(velocity, snap, Vector2.UP)
	velocity = move_and_slide(velocity, Vector2.UP)

	print(velocity)
